Subject: Re: bug#62994: [PATCH v5] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 21:27:10 +0200

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 10 Mar 2024 18:22:39 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The "+++" thingy means the manuals were updated for this change, which
> > is why Po Lu asked where are those updates.
> 
> I see, does --- have a similar alternate meaning or can I just replace
> the pluses with minuses?

"---" means the change is so minor it will not require any manual
changes.  When in doubt leave the entry with neither "+++" nor "---".

> >> Is this absolutely necessary?
> >
> > Not absolutely necessary, but very much preferred.  It is unheard of
> > in Emacs to have some face attribute that is supported on TTY frames
> > but not on GUI frames.
> 
> I see. If a blocker I'm happy to remove the extra underline styles? I'm
> not sure how long it would take me to add GUI support and as I don't use
> the GUI I'd be unlikely to prioritise it any time soon.

I'm not sure it should be a blocker.

> > No, you should mark the region and then press C-M-\.
> 
> I see. So I should run this over all the lines I've changed to normalize
> them?

Yes.